<?php

namespace app\common\model\school;

use think\Model;
use traits\model\SoftDelete;

class MessageConfigItem extends Model
{

    use SoftDelete;

    

    // 表名
    protected $name = 'school_message_config_item';
    
    // 自动写入时间戳字段
    protected $autoWriteTimestamp = 'integer';

    // 定义时间戳字段名
    protected $createTime = 'createtime';
    protected $updateTime = 'updatetime';
    protected $deleteTime = 'deletetime';

    // 追加属性
    protected $append = [
        'wechat_wap_text',
        'message_text',
        'selfmail_text'
    ];
    

    protected static function init()
    {
        self::afterInsert(function ($row) {
            if (!$row['weigh']) {
                $pk = $row->getPk();
                $row->getQuery()->where($pk, $row[$pk])->update(['weigh' => $row[$pk]]);
            }
        });
    }

    
    public function getWechatWapList()
    {
        return ['1' => __('Wechat_wap 1'), '2' => __('Wechat_wap 2')];
    }

    public function getMessageList()
    {
        return ['1' => __('Message 1'), '2' => __('Message 2')];
    }

    public function getSelfmailList()
    {
        return ['1' => __('Selfmail 1'), '2' => __('Selfmail 2')];
    }


    public function getWechatWapTextAttr($value, $data)
    {
        $value = $value ? $value : (isset($data['wechat_wap']) ? $data['wechat_wap'] : '');
        $list = $this->getWechatWapList();
        return isset($list[$value]) ? $list[$value] : '';
    }


    public function getMessageTextAttr($value, $data)
    {
        $value = $value ? $value : (isset($data['message']) ? $data['message'] : '');
        $list = $this->getMessageList();
        return isset($list[$value]) ? $list[$value] : '';
    }


    public function getSelfmailTextAttr($value, $data)
    {
        $value = $value ? $value : (isset($data['selfmail']) ? $data['selfmail'] : '');
        $list = $this->getSelfmailList();
        return isset($list[$value]) ? $list[$value] : '';
    }




    public function config()
    {
        return $this->belongsTo(MessageConfig::class, 'event', 'event', [], 'LEFT')->setEagerlyType(0);
    }
}
